import xhiveframework


def execute():
	xhiveframework.reload_doc("core", "doctype", "doctype_link")
	xhiveframework.reload_doc("core", "doctype", "doctype_action")
	xhiveframework.reload_doc("core", "doctype", "doctype")
	xhiveframework.model.delete_fields({"DocType": ["hide_heading", "image_view", "read_only_onload"]}, delete=1)

	xhiveframework.db.delete("Property Setter", {"property": "read_only_onload"})
